Content / REST API
Update content voice
Update workspace author voice. No hosted inference. Updates affect only the selected voice.
PATCH /api/content/voicesDeterministic operationParameters
workspaceIdOptional · string- See the input schema for this field.
voiceIdRequired · string- See the input schema for this field.
nameOptional · string- See the input schema for this field.
voice_instructionsOptional · string- See the input schema for this field.
is_defaultOptional · boolean- See the input schema for this field.
curl -X PATCH "https://app.pipeline.help/api/content/voices?voice_id=00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY"Full input schema
{
"type": "object",
"additionalProperties": false,
"properties": {
"workspaceId": {
"type": "string"
},
"voiceId": {
"type": "string"
},
"name": {
"type": "string",
"maxLength": 100
},
"voice_instructions": {
"type": "string",
"maxLength": 20000
},
"is_default": {
"type": "boolean"
}
},
"required": [
"voiceId"
]
}